<?php


add_filter( 'rwmb_meta_boxes', 'country_register_meta_boxes' );

function country_register_meta_boxes( $meta_boxes )
{
	/**
	 * prefix of meta keys (optional)
	 * Use underscore (_) at the beginning to make keys hidden
	 * Alt.: You also can make prefix empty to disable it
	 */
	// Better has an underscore as last sign
	$prefix = 'me_';

	// 1st meta box
	// $meta_boxes[] = array(
	// 	// Meta box id, UNIQUE per meta box. Optional since 4.1.5
	// 	'id'         => 'standard',

	// 	// Meta box title - Will appear at the drag and drop handle bar. Required.
	// 	'title'      => __( 'اختر المدن', 'meta-box' ),

	// 	// Post types, accept custom post types as well - DEFAULT is 'post'. Can be array (multiple post types) or string (1 post type). Optional.
	// 	'post_types' => array( 'country' ),

	// 	// Where the meta box appear: normal (default), advanced, side. Optional.
	// 	'context'    => 'side',

	// 	// Order of meta box: high (default), low. Optional.
	// 	'priority'   => 'low',

	// 	// Auto save: true, false (default). Optional.
	// 	'autosave'   => true,

	// 	// List of meta fields
	// 	'fields'     => array(
	// 		array(
	// 			'name'        => __( 'اختر المدن', 'meta-box' ),
	// 			'id'          => "{$prefix}cities",
	// 			'type'        => 'post',
	// 			// Post type
	// 			'post_type'   => 'city',
	// 			// Field type, either 'select' or 'select_advanced' (default)
	// 			'field_type'  => 'select_advanced',
	// 			'placeholder' => __( 'اختر المدن التابعه للدوله', 'meta-box' ),
	// 			// Query arguments (optional). No settings means get all published posts
	// 			'query_args'  => array(
	// 				'post_status'    => 'publish',
	// 				'posts_per_page' => - 1,
	// 			),
	// 			// 'clone' => true,
	// 			'multiple'    => true,
	// 		),
	// 	)
	// );

	$meta_boxes[] = array(
		'title'  => __( 'معلومات اساسيه', 'meta-box' ),

		'post_types' => array( 'country' ),

		'fields' => array(
			array(
				'name'    => __( 'معلومات اساسيه', 'meta-box' ),
				'id'      => "{$prefix}maininfo",
				'type'    => 'wysiwyg',
				// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
				'raw'     => false,
				'std'     => __( 'معلومات اساسيه', 'meta-box' ),

				// Editor settings, see wp_editor() function: look4wp.com/wp_editor
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => false,
					'media_buttons' => false,
				),
			),
		)
	);

	$meta_boxes[] = array(
		'title'  => __( 'معلومات سياحيه', 'meta-box' ),

		'post_types' => array( 'country' ),

		'fields' => array(
			array(
				'name'    => __( 'معلومات سياحيه', 'meta-box' ),
				'id'      => "{$prefix}tourinfo",
				'type'    => 'wysiwyg',
				// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
				'raw'     => false,
				'std'     => __( 'معلومات سياحيه', 'meta-box' ),

				// Editor settings, see wp_editor() function: look4wp.com/wp_editor
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => true,
					'media_buttons' => false,
				),
			),
		)
	);


	// 2nd meta box
	$meta_boxes[] = array(
		'title'  => __( 'معرض الصور', 'meta-box' ),

		'post_types' => array( 'country' ),

		'fields' => array(
			// IMAGE ADVANCED (WP 3.5+)
			array(
				'name'             => __( 'معرض الصور', 'meta-box' ),
				'id'               => "{$prefix}gallery",
				'type'             => 'image_advanced',
				'max_file_uploads' => 20,
			),
		)
	);

	return $meta_boxes;
}

