<?php
add_action( 'admin_enqueue_scripts', 'page_sections_enqueue_scripts' );

function page_sections_enqueue_scripts()
{
	$post_types = array('service');

	$screen = get_current_screen();

	// Enqueue scripts and styles for registered pages (post types) only
	if (  ! in_array( $screen->post_type, $post_types ) )
		return;


	wp_enqueue_style( 'jquery-ui', '//code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css');
	wp_enqueue_style( 'plan_page_common_css', get_template_directory_uri().'/app/post-types/services/page-sections/style.css');

	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui'); 
	wp_enqueue_script('jquery-ui-tabs'); 

	wp_enqueue_script( 'my-metabox', get_template_directory_uri().'/app/post-types/services/page-sections/metabox.js');
}

/*-----------------------------------------------------------------------------------*/
# plan page common MetaBox register
/*-----------------------------------------------------------------------------------*/
add_filter( 'rwmb_meta_boxes', 'plans_service_register_meta_boxes' );

function plans_service_register_meta_boxes( $meta_boxes )
{

	$prefix = '_service_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'plans_service_meta_boxes',
		'title'      => __( 'نوع الخدمه', 'meta-box' ),
		'post_types' => array( 'service'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			// SELECT ADVANCED BOX
			array(
				'name'        => __( 'اختر نوع الخدمه', 'meta-box' ),
				'id'          => "{$prefix}service_type",
				'type'        => 'select_advanced',
				// Array of 'value' => 'Label' pairs for select box
				'options'     => my_get_service_types(),
				// Select multiple values, optional. Default is false.
				'multiple'    => false,
				// 'std'         => 'value2', // Default value, optional
				'placeholder' => __( 'اختر نوع الخدمه', 'meta-box' ),
				'clone'   	 => false,
			),
			// SELECT ADVANCED BOX
			array(
				'name'        => __( 'قسمم الخطط والعروض', 'meta-box' ),
				'id'          => "{$prefix}plans_category",
				'type'        => 'select_advanced',
				// Array of 'value' => 'Label' pairs for select box
				'options'     => get_taxonomy_terms('plan_category'),
				// Select multiple values, optional. Default is false.
				'multiple'    => false,
				// 'std'         => 'value2', // Default value, optional
				'placeholder' => __( 'قسمم الخطط والعروض', 'meta-box' ),
				'clone'   	 => false,
			),
			array(
				'name'        => __( 'قسمم المميزات', 'meta-box' ),
				'id'          => "{$prefix}features_category",
				'type'        => 'select_advanced',
				// Array of 'value' => 'Label' pairs for select box
				'options'     => get_taxonomy_terms('features_category'),
				// Select multiple values, optional. Default is false.
				'multiple'    => false,
				// 'std'         => 'value2', // Default value, optional
				'placeholder' => __( 'قسمم المميزات', 'meta-box' ),
				'clone'   	 => false,
			),


		)
	);

	$meta_boxes[] = array(
		'id'         => 'page-sctions-text',
		'title'      => __( 'بلوك نصى اضافى', 'meta-box' ),
		'post_types' => array( 'service'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'العنوان:', 'meta-box' ),
				'id'    => "{$prefix}block-title",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'    => __( 'المحتوى النصى', 'meta-box' ),
				'id'      => "{$prefix}block-content",
				'type'    => 'wysiwyg',
				// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
				'raw'     => false,
				'std'     => __( '', 'meta-box' ),
				// Editor settings, see wp_editor() function: look4wp.com/wp_editor
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => true,
					'media_buttons' => false,
				),
			),
		)
	);

	return $meta_boxes;
}