<?php

$post_types = array('plan');

$plan_types = my_get_plans_types_wbreak();

/*-----------------------------------------------------------------------------------*/
# Enqueue common styles and scripts
/*-----------------------------------------------------------------------------------*/

add_action( 'admin_enqueue_scripts', 'my_admin_enqueue_scripts' );

function my_admin_enqueue_scripts()
{
	global $post_types;

	$screen = get_current_screen();

	// Enqueue scripts and styles for registered pages (post types) only
	if (  ! in_array( $screen->post_type, $post_types ) )
		return;


	wp_enqueue_style( 'jquery-ui', '//code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css');
	wp_enqueue_style( 'plan_page_common_css', get_template_directory_uri().'/app/assets/css/style.css');

	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui'); 
	wp_enqueue_script('jquery-ui-tabs'); 

	wp_enqueue_script( 'my-doanha-upload', get_template_directory_uri().'/app/assets/js/doanha-upload.js');
	wp_enqueue_script( 'my-metabox', get_template_directory_uri().'/app/assets/js/metabox.js');
}





/*-----------------------------------------------------------------------------------*/
# plan page common MetaBox register
/*-----------------------------------------------------------------------------------*/
/* Add meta boxes on the 'add_meta_boxes' hook. */
add_action( 'add_meta_boxes', 'plan_page_common_meta_box' );

/* Create one or more meta boxes to be displayed on the post editor screen. */
function plan_page_common_meta_box() {
	global $post_types;

	foreach ($post_types as $key => $value) {
		add_meta_box(
			'plan_page_common_metabox-id',					// Unique ID
			esc_html__( 'نوع الخدمه او العرض', 'doanha' ),		// Title
			'plan_page_common_meta_box_callback',					// Callback function
			$value,										// Admin page (or post type)
			'normal',									// Context
			'high'									// Priority
		);
	}

}

/*-----------------------------------------------------------------------------------*/
# plan page common MetaBox Options
/*-----------------------------------------------------------------------------------*/
function plan_page_common_meta_box_callback($post)
{
	global $post , $plan_types;

	$post_type = get_post_type($post->ID);

	wp_nonce_field( basename( __FILE__ ), 'common_meta_box_nonce' );

	$serv_type  = get_post_meta( $post->ID, 'serv_type', true );


	// wp_enqueue_script('jquery'); 
	// wp_enqueue_script('jquery-ui'); 
	// wp_enqueue_script('jquery-ui-tabs'); 
	// wp_enqueue_script('doanha-upload'); 
	// wp_enqueue_script('metaboxjs'); 
	// wp_enqueue_style('metaboxcss'); 
	// my_pre($serv_type);
	// my_pre($_POST);
	?>
	<?php 
	foreach ($plan_types as $key => $value): 
		$active = ($serv_type == $key)?'active':'';

		if ($value == 'break') {
			echo '<div class="clearfix"></div>';
		}else{
		?>
		<a href="#" class="link-serv <?php echo $active; ?>" data-servtype='<?php echo $key; ?>'>
			<?php echo $value; ?>
		</a>
	<?php }endforeach; ?>
	
	<div class="clearfix"></div>
	<?php
}

