<?php

add_action( 'init', 'prefix_testimonials_register_taxonomies' );

function prefix_testimonials_register_taxonomies() {

	/* Register the Testimonial Category taxonomy. */

	register_taxonomy(
		'testimonial_category',
		array( 'testimonial' ),
		array(
			'public'            => true,
			'show_ui'           => true,
			'show_in_nav_menus' => false,
			'show_tagcloud'     => true,
			'show_admin_column' => true,
			'hierarchical'      => true,
			'query_var'         => 'testimonial_category',

			/* Capabilities. */
			// 'capabilities' => array(
			// 	'manage_terms' => 'manage_testimonials',
			// 	'edit_terms'   => 'manage_testimonials',
			// 	'delete_terms' => 'manage_testimonials',
			// 	'assign_terms' => 'edit_testimonials',
			// ),

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'         => 'testimonials/category',
				'with_front'   => false,
				'hierarchical' => true,
				'ep_mask'      => EP_NONE
			),

			/* Labels used when displaying taxonomy and terms. */
			'labels' => array(
				'name'                       => __( 'Testimonial Categories', 'serv-domain' ),
				'singular_name'              => __( 'Testimonial Category',   'serv-domain' ),
				'menu_name'                  => __( 'Categories',             'serv-domain' ),
				'name_admin_bar'             => __( 'Category',               'serv-domain' ),
				'search_items'               => __( 'Search Categories',      'serv-domain' ),
				'popular_items'              => __( 'Popular Categories',     'serv-domain' ),
				'all_items'                  => __( 'All Categories',         'serv-domain' ),
				'edit_item'                  => __( 'Edit Category',          'serv-domain' ),
				'view_item'                  => __( 'View Category',          'serv-domain' ),
				'update_item'                => __( 'Update Category',        'serv-domain' ),
				'add_new_item'               => __( 'Add New Category',       'serv-domain' ),
				'new_item_name'              => __( 'New Category Name',      'serv-domain' ),
				'parent_item'                => __( 'Parent Category',        'serv-domain' ),
				'parent_item_colon'          => __( 'Parent Category:',       'serv-domain' ),
				'separate_items_with_commas' => null,
				'add_or_remove_items'        => null,
				'choose_from_most_used'      => null,
				'not_found'                  => null,
			)
		)
	);
}
