<?php


add_filter( 'rwmb_meta_boxes', 'acadimy_register_meta_boxes' );

function acadimy_register_meta_boxes( $meta_boxes )
{
	/**
	 * prefix of meta keys (optional)
	 * Use underscore (_) at the beginning to make keys hidden
	 * Alt.: You also can make prefix empty to disable it
	 */
	// Better has an underscore as last sign
	$prefix = 'me_';

	// 1st meta box
	$meta_boxes[] = array(
		// Meta box id, UNIQUE per meta box. Optional since 4.1.5
		'id'         => 'standard',

		// Meta box title - Will appear at the drag and drop handle bar. Required.
		'title'      => __( 'اختر المدينه الخاصه بالجامعه', 'meta-box' ),

		// Post types, accept custom post types as well - DEFAULT is 'post'. Can be array (multiple post types) or string (1 post type). Optional.
		'post_types' => array( 'academy' ),

		// Where the meta box appear: normal (default), advanced, side. Optional.
		'context'    => 'side',

		// Order of meta box: high (default), low. Optional.
		'priority'   => 'low',

		// Auto save: true, false (default). Optional.
		'autosave'   => true,

		// List of meta fields
		'fields'     => array(
			array(
				'name'        => __( 'اختر المدينه', 'meta-box' ),
				'id'          => "{$prefix}city",
				'type'        => 'post',
				// Post type
				'post_type'   => 'city',
				// Field type, either 'select' or 'select_advanced' (default)
				'field_type'  => 'select_advanced',
				'placeholder' => __( 'اختر المدينه', 'meta-box' ),
				// Query arguments (optional). No settings means get all published posts
				'query_args'  => array(
					'post_status'    => 'publish',
					'posts_per_page' => - 1,
				),
				// 'clone' => true,
				'multiple'    => false,
			),
		)
	);


	
	return $meta_boxes;
}

