<?php
/*-----------------------------------------------------------------------------------*/
# plural price metabox
/*-----------------------------------------------------------------------------------*/

function get_period_country_price($post_id ,$contry , $period)
{

	$post_meta_keys  = get_post_meta( $post_id, '_price', true );
	if ($post_meta_keys) {
		if ($post_meta_keys[$contry][$period]) {
			return $post_meta_keys[$contry][$period];
		}
	}
	return "";
}


add_action( 'add_meta_boxes', 'plural_price_meta_box' );

/* Create one or more meta boxes to be displayed on the post editor screen. */
function plural_price_meta_box() {
	global $post_types;

	foreach ($post_types as $key => $value) {
		add_meta_box(
			'plural_price_meta_box-id',						// Unique ID
			esc_html__( 'اسعار الخدمه على فترات', 'doanha' ),		// Title
			'plural_price_meta_box_callback',		// Callback function
			$value,											// Admin page (or post type)
			'normal',										// Context
			'high'											// Priority
		);
	}

}



function plural_price_meta_box_callback($post){
	global $post , $service_types;

	$post_type = get_post_type($post->ID);

	wp_nonce_field( basename( __FILE__ ), 'plural_price_meta_box' );

	$post_meta_keys  = get_post_meta( $post->ID, '_price', true );

	// my_pre($post_meta_keys);

	// echo get_period_country_price($post->ID,'eg' , 1);

	?>

	<div class="clearfix"></div>

	<script>
		jQuery(document).ready(function($) {
			$( "#tabs" ).tabs({active: 0});
		});
	</script>
	<div id="tabs">
		<ul>
			<li><a href="#tabs-1">كل 1 شهر</a></li>
			<li><a href="#tabs-2">كل 3 اشهر</a></li>
			<li><a href="#tabs-3">كل 6 اشهر</a></li>
			<li><a href="#tabs-4">كل 12 اشهر</a></li>
		</ul>


		<div id="tabs-1">
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالمصري:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[eg][1]" id="" value="<?php echo get_period_country_price($post->ID,'eg' , 1); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالريال:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[rs][1]" id="_text" value="<?php echo get_period_country_price($post->ID,'rs' , 1); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالدولار:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[us][1]" id="_text" value="<?php echo get_period_country_price($post->ID,'us' , 1); ?>" placeholder="" size="">
				</div>
			</div>
		</div><!--end of tab-->
		<div id="tabs-2">
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالمصري:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[eg][3]" id="" value="<?php echo get_period_country_price($post->ID,'eg' , 3); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالريال:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[rs][3]" id="_text" value="<?php echo get_period_country_price($post->ID,'rs' , 3); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالدولار:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[us][3]" id="_text" value="<?php echo get_period_country_price($post->ID,'us' , 3); ?>" placeholder="" size="">
				</div>
			</div>
		</div><!--end of tab-->
		<div id="tabs-3">
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالمصري:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[eg][6]" id="" value="<?php echo get_period_country_price($post->ID,'eg' , 6); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالريال:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[rs][6]" id="_text" value="<?php echo get_period_country_price($post->ID,'rs' , 6); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالدولار:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[us][6]" id="_text" value="<?php echo get_period_country_price($post->ID,'us' , 6); ?>" placeholder="" size="">
				</div>
			</div>
		</div><!--end of tab-->
		<div id="tabs-4">
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالمصري:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[eg][12]" id="" value="<?php echo get_period_country_price($post->ID,'eg' , 12); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالريال:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[rs][12]" id="_text" value="<?php echo get_period_country_price($post->ID,'rs' , 12); ?>" placeholder="" size="">
				</div>
			</div>
			<div class="rwmb-field rwmb-text-wrapper">
				<div class="rwmb-label">
					<label for="_text">السعر بالدولار:</label>
				</div>
				<div class="rwmb-input">
					<input type="text" class="rwmb-text" name="_price[us][12]" id="_text" value="<?php echo get_period_country_price($post->ID,'us' , 12); ?>" placeholder="" size="">
				</div>
			</div>
		</div><!--end of tab-->
	</div>

	<div class="clearfix"></div>
	<?php
}

/* Save post meta on the 'save_post' hook. */
add_action( 'save_post', 'plural_price_meta_box_save', 10, 2 );

function plural_price_meta_box_save($post_id,$post){

	/* Verify the nonce before proceeding. */
	if ( !isset( $_POST['plural_price_meta_box'] ) || !wp_verify_nonce( $_POST['plural_price_meta_box'], basename( __FILE__ ) ) )
		return $post_id;

	/* Get the post type object. */
	$post_type = get_post_type_object( $post->post_type );

	/* Check if the current user has permission to edit the post. */
	if ( !current_user_can( $post_type->cap->edit_post, $post_id ) )
		return $post_id;

	/* Get the posted data and sanitize it for use as an HTML class. */
	$new_meta_value = ( isset( $_POST['_price'] ) ? $_POST['_price'] : '' );

	/* Get the meta key. */
	$meta_key = '_price';

	// my_pre($_POST['_price']);

	/* Get the meta value of the custom field key. */
	$meta_value = get_post_meta( $post_id, $meta_key, true );

	/* If a new meta value was added and there was no previous value, add it. */
	if ( $new_meta_value && '' == $meta_value )
		add_post_meta( $post_id, $meta_key, $new_meta_value, true );

	/* If the new meta value does not match the old value, update it. */
	elseif ( $new_meta_value && $new_meta_value != $meta_value )
		update_post_meta( $post_id, $meta_key, $new_meta_value );

	/* If there is no new meta value but an old value exists, delete it. */
	elseif ( '' == $new_meta_value && $meta_value )
		delete_post_meta( $post_id, $meta_key, $meta_value );
}
