<?php

add_action( 'init', 'prefix_bank_register_taxonomies' );

function prefix_bank_register_taxonomies() {

	/* Register the bank Category taxonomy. */

	register_taxonomy(
		'bank_category',
		array( 'bank' ),
		array(
			'public'            => false,
			'show_ui'           => true,
			'show_in_nav_menus' => false,
			'show_tagcloud'     => true,
			'show_admin_column' => true,
			'hierarchical'      => true,
			'query_var'         => 'bank_category',

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'         => 'bank/category',
				'with_front'   => false,
				'hierarchical' => true,
				'ep_mask'      => EP_NONE
			),

			/* Labels used when displaying taxonomy and terms. */
			'labels' => array(
				'name'                       => __( 'اقسام البنوك', 'serv-domain' ),
				'singular_name'              => __( 'قسم',   'serv-domain' ),
				'menu_name'                  => __( 'الاقسام',         'serv-domain' ),
				'name_admin_bar'             => __( 'قسم بنكى',           'serv-domain' ),
				'search_items'               => __( 'بحث الاقسام',  'serv-domain' ),
				'popular_items'              => __( 'اشهر الاقسام', 'serv-domain' ),
				'all_items'                  => __( 'كل الاقسام',     'serv-domain' ),
				'edit_item'                  => __( 'تعديل قسم',      'serv-domain' ),
				'view_item'                  => __( 'عرض القسم',      'serv-domain' ),
				'update_item'                => __( 'تحديث قسم',    'serv-domain' ),
				'add_new_item'               => __( 'قسم جديد',   'serv-domain' ),
				'new_item_name'              => __( 'قسم جديد',  'serv-domain' ),
				'parent_item'                => __( 'قسم رئيسى',    'serv-domain' ),
				'parent_item_colon'          => __( 'قسم رئيسى:',   'serv-domain' ),
				'separate_items_with_commas' => null,
				'add_or_remove_items'        => null,
				'choose_from_most_used'      => null,
				'not_found'                  => null,
			)
		)
	);

}
