<?php

add_action( 'init', 'prefix_portfolio_register_taxonomies' );

function prefix_portfolio_register_taxonomies() {

	/* Register the Portfolio Category taxonomy. */

	register_taxonomy(
		'portfolio_category',
		array( 'portfolio_project' ),
		array(
			'public'            => true,
			'show_ui'           => true,
			'show_in_nav_menus' => false,
			'show_tagcloud'     => true,
			'show_admin_column' => true,
			'hierarchical'      => true,
			'query_var'         => 'portfolio_category',

			/* Capabilities. */
			// 'capabilities' => array(
			// 	'manage_terms' => 'manage_portfolio',
			// 	'edit_terms'   => 'manage_portfolio',
			// 	'delete_terms' => 'manage_portfolio',
			// 	'assign_terms' => 'edit_portfolio_projects',
			// ),

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'         => 'portfolio/category',
				'with_front'   => false,
				'hierarchical' => true,
				'ep_mask'      => EP_NONE
			),

			/* Labels used when displaying taxonomy and terms. */
			'labels' => array(
				'name'                       => __( 'اقسام المشاريع', 'serv-domain' ),
				'singular_name'              => __( 'قسم',   'serv-domain' ),
				'menu_name'                  => __( 'الاقسام',         'serv-domain' ),
				'name_admin_bar'             => __( 'قسم مشاريع',           'serv-domain' ),
				'search_items'               => __( 'بحث الاقسام',  'serv-domain' ),
				'popular_items'              => __( 'الاقسام الاكثر شهره', 'serv-domain' ),
				'all_items'                  => __( 'كل الاقسام',     'serv-domain' ),
				'edit_item'                  => __( 'تعديل قسم',      'serv-domain' ),
				'view_item'                  => __( 'عرض القسم',      'serv-domain' ),
				'update_item'                => __( 'تحديث القسم',    'serv-domain' ),
				'add_new_item'               => __( 'اضافه قسم جديد',   'serv-domain' ),
				'new_item_name'              => __( 'قسم جديد',  'serv-domain' ),
				'parent_item'                => __( 'قسم رئيسى',    'serv-domain' ),
				'parent_item_colon'          => __( 'قسم رئيسى:',   'serv-domain' ),
				'separate_items_with_commas' => null,
				'add_or_remove_items'        => null,
				'choose_from_most_used'      => null,
				'not_found'                  => null,
			)
		)
	);

	/* Register the Portfolio Tag taxonomy. */

	// register_taxonomy(
	// 	'portfolio_tag',
	// 	array( 'portfolio_project' ),
	// 	array(
	// 		'public'            => true,
	// 		'show_ui'           => true,
	// 		'show_in_nav_menus' => true,
	// 		'show_tagcloud'     => true,
	// 		'show_admin_column' => true,
	// 		'hierarchical'      => false,
	// 		'query_var'         => 'portfolio_tag',

	// 		/* Capabilities. */
	// 		// 'capabilities' => array(
	// 		// 	'manage_terms' => 'manage_portfolio',
	// 		// 	'edit_terms'   => 'manage_portfolio',
	// 		// 	'delete_terms' => 'manage_portfolio',
	// 		// 	'assign_terms' => 'edit_portfolio_projects',
	// 		// ),

	// 		/* The rewrite handles the URL structure. */
	// 		'rewrite' => array(
	// 			'slug'         => 'portfolio/tag',
	// 			'with_front'   => false,
	// 			'hierarchical' => false,
	// 			'ep_mask'      => EP_NONE
	// 		),

	// 		/* Labels used when displaying taxonomy and terms. */
	// 		'labels' => array(
	// 			'name'                       => __( 'Project Tags',                   'serv-domain' ),
	// 			'singular_name'              => __( 'Project Tag',                    'serv-domain' ),
	// 			'menu_name'                  => __( 'Tags',                           'serv-domain' ),
	// 			'name_admin_bar'             => __( 'Tag',                            'serv-domain' ),
	// 			'search_items'               => __( 'Search Tags',                    'serv-domain' ),
	// 			'popular_items'              => __( 'Popular Tags',                   'serv-domain' ),
	// 			'all_items'                  => __( 'All Tags',                       'serv-domain' ),
	// 			'edit_item'                  => __( 'Edit Tag',                       'serv-domain' ),
	// 			'view_item'                  => __( 'View Tag',                       'serv-domain' ),
	// 			'update_item'                => __( 'Update Tag',                     'serv-domain' ),
	// 			'add_new_item'               => __( 'Add New Tag',                    'serv-domain' ),
	// 			'new_item_name'              => __( 'New Tag Name',                   'serv-domain' ),
	// 			'separate_items_with_commas' => __( 'Separate tags with commas',      'serv-domain' ),
	// 			'add_or_remove_items'        => __( 'Add or remove tags',             'serv-domain' ),
	// 			'choose_from_most_used'      => __( 'Choose from the most used tags', 'serv-domain' ),
	// 			'not_found'                  => __( 'No tags found',                  'serv-domain' ),
	// 			'parent_item'                => null,
	// 			'parent_item_colon'          => null,
	// 		)
	// 	)
	// );
}
