<?php
/*-----------------------------------------------------------------------------------*/
# section with title and editor
/*-----------------------------------------------------------------------------------*/

add_filter( 'rwmb_meta_boxes', 'text_page_sections_register_meta_boxes' );

function text_page_sections_register_meta_boxes( $meta_boxes )
{

	$prefix = 'text_page_section_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'page-sctions-text',
		'title'      => __( 'بلوك (عنوان + نص)', 'meta-box' ),
		'post_types' => array( 'service'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'العنوان:', 'meta-box' ),
				'id'    => "{$prefix}title",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'    => __( 'المحتوى النصى', 'meta-box' ),
				'id'      => "{$prefix}content",
				'type'    => 'wysiwyg',
				// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
				'raw'     => false,
				'std'     => __( '', 'meta-box' ),
				// Editor settings, see wp_editor() function: look4wp.com/wp_editor
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => true,
					'media_buttons' => false,
				),
			),
		)
	);

	return $meta_boxes;
}