<?php

add_action( 'init', 'prefix_team_register_post_types' );

function prefix_team_register_post_types() {

	/* Register the Portfolio Profile post type. */

	register_post_type(
		'profile',
		array(
			'description'         => '',
			'public'              => false,
			'publicly_queryable'  => true,
			'show_in_nav_menus'   => false,
			'show_in_admin_bar'   => true,
			'exclude_from_search' => true,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 10,
			'menu_icon'           => 'dashicons-portfolio',
			'can_export'          => true,
			'delete_with_user'    => false,
			'hierarchical'        => false,
			'has_archive'         => 'team',
			'query_var'           => 'team',
			'capability_type'     => 'post',

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'       => 'team',
				'with_front' => false,
				'pages'      => true,
				'feeds'      => true,
				'ep_mask'    => EP_PERMALINK,
			),

			/* What features the post type supports. */
			'supports' => array(
				'title',
				// 'editor',
				'excerpt',
				'author',
				'thumbnail'
			),

			/* Labels used when displaying the posts. */
			'labels' => array(
				'name'               => __( 'فريق العمل',                   'serv-domain' ),
				'singular_name'      => __( 'شخص',                    'serv-domain' ),
				'menu_name'          => __( 'فريق العمل',                  	  'serv-domain' ),
				'name_admin_bar'     => __( 'شخص',          			  'serv-domain' ),
				'add_new'            => __( 'اضافه جديد',                    'serv-domain' ),
				'add_new_item'       => __( 'اضافه شخص جديد',            'serv-domain' ),
				'edit_item'          => __( 'تعديل بيانات شخص',               'serv-domain' ),
				'new_item'           => __( 'شخص جديد',                'serv-domain' ),
				'view_item'          => __( 'عرض بيانات الشخص',               'serv-domain' ),
				'search_items'       => __( 'بحث الاشخاص',            'serv-domain' ),
				'not_found'          => __( 'لم يتم العثور على اى شخص',          'serv-domain' ),
				'not_found_in_trash' => __( 'لم يتم العثور على اى شخص فى سلة المحذوفات', 'serv-domain' ),
				'all_items'          => __( 'كل الاشخاص',                   'serv-domain' ),
			)
		)
	);
}
